import { Show, type Accessor, type Component } from "solid-js";
import type { sendImage } from "../../network";

type ImageStatusProps = {
    processingImage: Accessor<
        Awaited<ReturnType<typeof sendImage>> | undefined
    >;
};

export const ImageStatus: Component<ImageStatusProps> = (props) => {
    return (
        <Show when={props.processingImage()}>
            {(image) => (
                <div>
                    <p>
                        {image().ImageID} - {image().Status}
                    </p>
                </div>
            )}
        </Show>
    );
};
